<template>
  <div class="flex gap-3 justify-between">
    <div class="relative block p-2 w-full overflow-hidden">
      <span class="block font-semibold text-scheme-primary">{{ repliedMessage?.name }}</span>
      <span class="whitespace-nowrap relative block overflow-hidden text-ellipsis" v-html="helpers.whatsappFormatting(helpers.urlify(helpers.decodeMessage(repliedMessage?.message)))"></span>
    </div>
    <div class="relative block w-24 overflow-hidden aspect-square bg-gray-800">
      <img class="absolute left-1/2 top-1/2 transform -translate-x-1/2 -translate-y-1/2 w-auto h-auto m-auto min-w-full min-h-full" :src="repliedMessage?.object?.image?.image_url" draggable="false" />
    </div>
  </div>
</template>
<script setup lang="ts">
import helpers from "../../../utils/helpers";

interface Props {
  repliedMessage: any
}

let props = withDefaults(defineProps<Props>(), {
  repliedMessage: {
    message: null,
    name: null,
    type: null,
    object: null,
  }
});
</script>